#include <stdio.h>

int main () {
    int n, m;
    int p, k;
    int l, o;
    int i, j;
    int suma=0;
    
    scanf("%d%d", &m, &n);
    
    int a[m][n];
    
    for(i=0; i<m; i++) {
      for(j=0; j<n; j++)
	scanf("%d", &a[i][j]);
    }
    
    
    scanf("%d%d", &p, &k);
    
    if(p>m || k>n){
      printf("-1");
    }
    
    
    for(i=0; i<m-p+1; i++) {
      for(j=0; j<n-k+1; j++) {
	for(l=i; l<p+i; l++) {
	  for(o=j; o<k+j; o++)
	    suma=suma+a[l][o];
	}
	 printf("%d ", suma);
	 suma=0;
      }

    }
  return 0;
      
    }